diff --git a/contrib/postgres_fdw/deparse.c b/contrib/postgres_fdw/deparse.c
index 35f2d102374..bd8a4acc112 100644
--- a/contrib/postgres_fdw/deparse.c
+++ b/contrib/postgres_fdw/deparse.c
@@ -3472,9 +3472,9 @@ deparseAggref(Aggref *node, deparse_expr_cxt *context)
 		if ((aggform->aggtranstype != INTERNALOID) && (aggform->aggfinalfn == InvalidOid)) {
 			appendFunctionName(node->aggfnoid, context);
 		} else if(aggform->partialaggfn) {
-			appendFunctionName((Oid)(aggform->partialaggfn), context);
+			appendFunctionName(aggform->partialaggfn, context);
 		} else {
-			elog(ERROR, "there in no partialaggfn %u", node->aggfnoid);
+			elog(ERROR, "there is no partialaggfn %u", node->aggfnoid);
 		}
 		ReleaseSysCache(aggtup);
 	}
@@ -3986,7 +3986,8 @@ get_relation_column_alias_ids(Var *node, RelOptInfo *foreignrel,
 }
 
 /*
- * Check that partial aggregate function of aggform exsits in remote
+ * Check that partial aggregate function, described by aggform,
+ * exists on remote server, described by fpinfo.
  */
 static bool
 partial_agg_compatible(Form_pg_aggregate aggform, PgFdwRelationInfo *fpinfo)
